﻿<Graph ClassName="DispatchSetupExtRCL" Source="#CDATA" IsNew="True" FileType="NewGraph">
    <CDATA name="Source"><![CDATA[using System;
using PX.Data;
using DispatchSetup;
using PX.Objects.CS;

namespace DispatchExtension
{
    public class DispatchSetupExtRCL : PXCacheExtension<DispatchNumberingSetup>
    {
        #region UsrEnableEmployeeCount 
        [PXDBBool()]
        [PXDefault(false, PersistingCheck = PXPersistingCheck.Nothing)]
        [PXUIField(DisplayName = "Enable Load Plan Count per Employee")]
        public virtual bool? UsrEnableEmployeeCount { get; set; }
        public abstract class usrEnableEmployeeCount : PX.Data.BQL.BqlBool.Field<usrEnableEmployeeCount> { }
        #endregion

        #region UsrPickListTransferNumberingID 
        [PXDBString(10)]
        [PXSelector(typeof(Numbering.numberingID),
            DescriptionField = typeof(Numbering.descr))]
        [PXUIField(DisplayName = "Pick List for Transfers Numbering ID")]
        public virtual string UsrPickListTransferNumberingID { get; set; }
        public abstract class usrPickListTransferNumberingID : PX.Data.BQL.BqlString.Field<usrPickListTransferNumberingID> { }
        #endregion

        #region UsrLoadPlanTransferNumberingID 
        [PXDBString(10)]
        [PXSelector(typeof(Numbering.numberingID),
            DescriptionField = typeof(Numbering.descr))]
        [PXUIField(DisplayName = "Load Plan for Transfers Numbering ID")]
        public virtual string UsrLoadPlanTransferNumberingID { get; set; }
        public abstract class usrLoadPlanTransferNumberingID : PX.Data.BQL.BqlString.Field<usrLoadPlanTransferNumberingID> { }
        #endregion

        #region UsrBackloadTransferNumberingID 
        [PXDBString(10)]
        [PXSelector(typeof(Numbering.numberingID),
            DescriptionField = typeof(Numbering.descr))]
        [PXUIField(DisplayName = "Backload for Transfers Numbering ID")]
        public virtual string UsrBackloadTransferNumberingID { get; set; }
        public abstract class usrBackloadTransferNumberingID : PX.Data.BQL.BqlString.Field<usrBackloadTransferNumberingID> { }
        #endregion

    }
}]]></CDATA>
</Graph>